Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2016-10-16 07:52:18

monicahu
Member
From: Sydney NSW
Registered: 2009-03-07
Posts: 69

site error after upgrade 4.6.1

The site has not been accessed for a year and not updated for two years and it had an error after when I login to the admin site after the upgrade ie copying all necessary files over:

Fatal error: Call to undefined function mysqli_init() in /home/stpetesy/public_html/textpattern/lib/txplib_db.php on line 201

My site URL is www.stpetesyouth.org.au

According to the cPanel:
Apache Version 2.2.31
PHP Version 5.5.29
MySQL Version 5.5.52-cll

I don’t have good knowledge with Apache, PHP and MySQL.

Can anyone help?

Thanks,

Monica


Monica
Life with God is the purpose.

Offline

#2 2016-10-16 08:00:04

monicahu
Member
From: Sydney NSW
Registered: 2009-03-07
Posts: 69

Re: site error after upgrade 4.6.1

Is the PHP version too low to support TXP 4.6.1 ?


Monica
Life with God is the purpose.

Offline

#3 2016-10-16 10:25:32

etc
Developer
Registered: 2010-11-11
Posts: 4,079
Website

Re: site error after upgrade 4.6.1

monicahu wrote #302220:

Is the PHP version too low to support TXP 4.6.1 ?

No, php 5.5 is ok. It is possible (though uncommon) that mysqli extension is disabled on your server, please check.

Offline

#4 2016-10-16 10:44:50

monicahu
Member
From: Sydney NSW
Registered: 2009-03-07
Posts: 69

Re: site error after upgrade 4.6.1

No, php 5.5 is ok. It is possible (though uncommon) that mysqli extension is disabled on your server, please check.

I don’t know how to check this. I have cpanel login and I have access to phpMyAdmin.

The trouble is I don’t have any other access besides the cPanel.

Last edited by monicahu (2016-10-16 10:54:16)


Monica
Life with God is the purpose.

Offline

#5 2016-10-16 10:57:12

etc
Developer
Registered: 2010-11-11
Posts: 4,079
Website

Re: site error after upgrade 4.6.1

Hmm, then we need someone experienced with cPanel… anyone?

Offline

#6 2016-10-16 11:30:52

monicahu
Member
From: Sydney NSW
Registered: 2009-03-07
Posts: 69

Re: site error after upgrade 4.6.1

txplib_db.php on TXP 4.5.7 (dated April 2012) does not have msqli calls for database connection, so is this new from 4.6.1?


Monica
Life with God is the purpose.

Offline

#7 2016-10-16 11:41:39

Bloke
Developer
From: Leeds, UK
Registered: 2006-01-29
Posts: 9,996
Website

Re: site error after upgrade 4.6.1

Yes, mysqli is new to Txp 4.6.0+. Can you upload a file called serverinfo.php to your site root with this content in it:

<?php
   phpinfo();
?>

Then visit www.stpetesyouth.org.au/serverinfo.php and have a look through the output. You’re looking for the mysqli extension to see if it’s enabled/installed. If not, contact your host and ask if it can be enabled.

And delete the serverinfo.php as soon as you’re done looking, as it’s a potential security leak.


The smd plugin menagerie — for when you need one more gribble of power from Textpattern. Bleeding-edge code available on GitHub.

Txp Builders – finely-crafted code, design and Txp

Offline

#8 2016-10-18 10:04:48

monicahu
Member
From: Sydney NSW
Registered: 2009-03-07
Posts: 69

Re: site error after upgrade 4.6.1

Bloke wrote #302233:

Yes, mysqli is new to Txp 4.6.0+. Can you upload a file called serverinfo.php to your site root with this content in it:

<?php...

Then visit www.stpetesyouth.org.au/serverinfo.php and have a look through the output. You’re looking for the mysqli extension to see if it’s enabled/installed. If not, contact your host and ask if it can be enabled.

Followed your instruction and got this error:
Warning: phpinfo() has been disabled for security reasons in /home/stpetesy/public_html/serverinfo.php on line 2


Monica
Life with God is the purpose.

Offline

#9 2016-10-18 10:29:20

Bloke
Developer
From: Leeds, UK
Registered: 2006-01-29
Posts: 9,996
Website

Re: site error after upgrade 4.6.1

monicahu wrote #302274:

Warning: phpinfo() has been disabled for security reasons

Oh joy! Well that’s me fresh out of ideas. Anyone else?


The smd plugin menagerie — for when you need one more gribble of power from Textpattern. Bleeding-edge code available on GitHub.

Txp Builders – finely-crafted code, design and Txp

Offline

#10 2016-10-18 11:04:06

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 8,469
Website

Re: site error after upgrade 4.6.1

Hi monicahu,

You can your reach your diagnostics and do they reveal anything? Alternatively you could get in touch with your host to send you the phpinfo. Do tell them that you have problems with upgrating your software and you need it to diagnose where the problem might be.


Yiannis
——————————
neme.org | hblack.net | State Machines | NeMe @ github
I do my best editing after I click on the submit button.

Offline

Board footer

Powered by FluxBB